id: io.gitlab.christianpauly.primenumbers
runtime: com.ubports.Platform
runtime-version: '5.15-23.08'
sdk: com.ubports.Sdk
command: primenumbers
rename-desktop-file: primenumbers.desktop
rename-icon: logo
finish-args:
  - --share=ipc
  - --share=network
  - --socket=x11
  - --socket=wayland
  - --device=dri
separate-locales: false
modules:
  - name: primenumbers
    buildsystem: simple
    build-commands:
      - mkdir -p $FLATPAK_DEST/share/icons/hicolor/scalable/apps $FLATPAK_DEST/bin $FLATPAK_DEST/share/applications
      - install -Dm644 primenumbers.desktop $FLATPAK_DEST/share/applications
      - install -Dm644 assets/logo.svg $FLATPAK_DEST/share/icons/hicolor/scalable/apps/
      - sed -i 's,assets/logo.svg,logo,g' $FLATPAK_DEST/share/applications/primenumbers.desktop
      - sed -i 's,qmlscene qml/Main.qml,primenumbers,g' $FLATPAK_DEST/share/applications/primenumbers.desktop
      - install -Dm755 primenumbers $FLATPAK_DEST/bin/
      - cp -r qml/ $FLATPAK_DEST/share/
      # qmlscene is not part of the platform
      - install -Dm755 /usr/bin/qmlscene /app/bin
    sources:
      - type: file
        url: https://open-store.io/api/v3/apps/primenumbers.christianpauly/download/xenial/all
        sha256: 30f29e6586892b99a1de892c8e2e4afe2934192b440f18a11c0f9e579e3efa9c
      - type: shell
        commands:
          - ar x all
          - rm -f all.click
          - tar -xf data.tar.gz
          - rm -f control.tar.gz data.tar.gz debian-binary
      - type: script
        dest-filename: primenumbers
        commands:
          - qmlscene /app/share/qml/Main.qml
